using System.Collections;
using UnityEngine;

namespace CheesyFX
{
    public class Penetrator
    {
        public Transform tip;
        public Rigidbody rb;
        public Atom atom;
        public float scale => atom.scaleChangeReceivers[0].scale;
        public float width;

        public Penetrator(Collider collider)
        {
            rb = collider.attachedRigidbody;
            atom = collider.GetAtom();
            tip = new GameObject().transform;
            tip.parent = collider.transform;
        }
    }
}